summaryrefslogtreecommitdiff
path: root/debian/postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/postinst')
-rw-r--r--debian/postinst8
1 files changed, 7 insertions, 1 deletions
diff --git a/debian/postinst b/debian/postinst
index c87a713..496a5d8 100644
--- a/debian/postinst
+++ b/debian/postinst
@@ -77,7 +77,13 @@ configure)
# Fresh install.
. /etc/etckeeper/etckeeper.conf || true
if [ -n "$VCS" ] && [ -x "`which $VCS 2>/dev/null`" ]; then
- etckeeper init || echo "etckeeper init failed; run it by hand" >&2
+ if etckeeper init; then
+ if ! etckeeper commit "Initial commit"; then
+ echo "etckeeper commit failed; run it by hand" >&2
+ fi
+ else
+ echo "etckeeper init failed; run it by hand" >&2
+ fi
else
echo "etckeeper init not ran as $VCS is not installed" >&2
fi